curl -X PATCH "https://app.usatimbre.com/api/organizations/org_123456/members/XAXX010101000" \
-H "Authorization: Bearer tmb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Member Name",
"email": "updated@example.com",
"phone_number": "+525512345678"
}'
const response = await fetch('https://app.usatimbre.com/api/organizations/org_123456/members/XAXX010101000', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer tmb_your_api_key_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Member Name',
email: 'updated@example.com',
phone_number: '+525512345678'
})
});
const member = await response.json();
import requests
response = requests.patch(
'https://app.usatimbre.com/api/organizations/org_123456/members/XAXX010101000',
headers={
'Authorization': 'Bearer tmb_your_api_key_here',
'Content-Type': 'application/json'
},
json={
'name': 'Updated Member Name',
'email': 'updated@example.com',
'phone_number': '+525512345678'
}
)
member = response.json()
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Updated Member Name",
"email": "updated@example.com",
"phone_number": "+525512345678",
"tax_id": "XAXX010101000",
"org_id": "org_123456",
"is_admin": false,
"credits_remaining": 50,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-21T09:00:00Z"
}
{
"error": "Bad Request",
"message": "Invalid email format"
}
Gestión de Organizaciones
Update Organization Member
Update member profile
PATCH
/
api
/
organizations
/
{org_id}
/
members
/
{rfc}
curl -X PATCH "https://app.usatimbre.com/api/organizations/org_123456/members/XAXX010101000" \
-H "Authorization: Bearer tmb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Member Name",
"email": "updated@example.com",
"phone_number": "+525512345678"
}'
const response = await fetch('https://app.usatimbre.com/api/organizations/org_123456/members/XAXX010101000', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer tmb_your_api_key_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Member Name',
email: 'updated@example.com',
phone_number: '+525512345678'
})
});
const member = await response.json();
import requests
response = requests.patch(
'https://app.usatimbre.com/api/organizations/org_123456/members/XAXX010101000',
headers={
'Authorization': 'Bearer tmb_your_api_key_here',
'Content-Type': 'application/json'
},
json={
'name': 'Updated Member Name',
'email': 'updated@example.com',
'phone_number': '+525512345678'
}
)
member = response.json()
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Updated Member Name",
"email": "updated@example.com",
"phone_number": "+525512345678",
"tax_id": "XAXX010101000",
"org_id": "org_123456",
"is_admin": false,
"credits_remaining": 50,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-21T09:00:00Z"
}
{
"error": "Bad Request",
"message": "Invalid email format"
}
Overview
Update a member’s profile information within an organization.Path Parameters
string
required
The unique identifier of the organization
string
required
The RFC (Mexican tax ID) or profile UUID of the member
Request Body
string
Updated member name
string
Updated email address
string
Updated phone number. Should include country code (e.g.,
+525512345678)Response
Returns the updated member profile object.string
Unique profile identifier (UUID)
string
Updated member name
string
Updated email address
string
Updated phone number
string
ISO 8601 timestamp of the update
curl -X PATCH "https://app.usatimbre.com/api/organizations/org_123456/members/XAXX010101000" \
-H "Authorization: Bearer tmb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Member Name",
"email": "updated@example.com",
"phone_number": "+525512345678"
}'
const response = await fetch('https://app.usatimbre.com/api/organizations/org_123456/members/XAXX010101000', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer tmb_your_api_key_here',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Updated Member Name',
email: 'updated@example.com',
phone_number: '+525512345678'
})
});
const member = await response.json();
import requests
response = requests.patch(
'https://app.usatimbre.com/api/organizations/org_123456/members/XAXX010101000',
headers={
'Authorization': 'Bearer tmb_your_api_key_here',
'Content-Type': 'application/json'
},
json={
'name': 'Updated Member Name',
'email': 'updated@example.com',
'phone_number': '+525512345678'
}
)
member = response.json()
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Updated Member Name",
"email": "updated@example.com",
"phone_number": "+525512345678",
"tax_id": "XAXX010101000",
"org_id": "org_123456",
"is_admin": false,
"credits_remaining": 50,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-21T09:00:00Z"
}
{
"error": "Bad Request",
"message": "Invalid email format"
}
⌘I